org.gitana.platform

## Interface JSONable

All Known Subinterfaces:
  GitanaObject

All Known Implementing Classes:
  GitanaObjectImpl, PaymentMethodValidation, PaymentMethodValidationError, TransferConfiguration, TransferDependency, TransferExportConfiguration, TransferImportConfiguration

    public interface JSONable

Author:
  uzi

### Method Summary

All Methods Instance Methods Abstract Methods
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`
`String` `toJSONString(boolean pretty)`

### Method Detail

#### toJSON

    com.fasterxml.jackson.databind.node.ObjectNode toJSON()

Returns:
  json object node for this object

#### toJSONString

    String toJSONString(boolean pretty)

Returns:
  json representation of this object